import 'dart:async';

import 'package:flutter/services.dart';

class PagseguroPlugin {
  static const MethodChannel _channel =
      const MethodChannel('pagseguroplugin');

  Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<bool> initialize({String appVersion, String appName, String activationCode}) async {
    final dynamic result = await _channel.invokeMapMethod('initialize', {
      'appName': appName
    });
    return result;
  }
}
